<bugID>940814<Summary>[Australis] URLbar too wide, pushes other content out</Summary><Description>Environment:
* Linux
* Screen resolution 2x 1920x1200
* Firefox window resolution 800x930 (w x h)

I consider this browser window size reasonable, because
* It's a good width for reading texts
* I need a lot more than just 1 window on the screen

Reproduction:
1. Start Firefox Australis build
2. Resize window to width 800px
3. Observer toolbar

Actual result:
Only: Back button, urlbar, chevron, menu button

Missing are:
Search field
Bookmarks button
Downloads button
One custom button

These buttons are available behind the Chevron, but that defeats the whole purpose. I can't use a search bar that is several clicks away, and ditto with bookmarks button. That makes them unusable and useless in practice.
A download button that I don't see cannot alert me of an ongoing download.

Expected result = result before Australis:
* urlbar takes 1/2 or 2/3 of the window width
* all of the above buttons and fields are visible

Importance:
This is major, because it cripples bookmarks to uselessness, at least in this window size. Bookmarks are a core and critical browser feature, and must work in all resolutions.
If this isn't a major bug, then I don't know what ever would be.

P.S.
This is nothing against Australis in general.</Description></bugID>